# Arc

- [eth\_chainId](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_chainid.md): Returns the currently configured chain id, a value used in replay-protected transaction signing as introduced by EIP-155.
- [eth\_syncing](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_syncing.md): Returns information about the sync status of the node
- [eth\_getBlockByNumber](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_getblockbynumber.md): Returns block information by number.
- [eth\_getBlockByHash](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_getblockbyhash.md): Returns block information by hash.
- [eth\_getBlockReceipts](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_getblockreceipts.md): Get all transaction receipts for a given block on Ethereum.
- [eth\_blockNumber](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_blocknumber.md): Returns the number of the most recent block.
- [eth\_gasPrice](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_gasprice.md): Returns the current price of gas in wei. If minimum gas price is enforced by setting the --price-limit flag, this endpoint will return the value defined by this flag as minimum gas price.
- [eth\_getBalance](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_getbalance.md): Returns the balance of the account of the given address.
- [eth\_sendRawTransaction](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_sendrawtransaction.md): Creates new message call transaction or a contract creation for signed transactions.
- [eth\_getTransactionByHash](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_gettransactionbyhash.md): Returns the information about a transaction requested by transaction hash.
- [eth\_getTransactionByBlockHashAndIndex](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_gettransactionbyblockhashandindex.md): Returns the information about a transaction requested by Block hash and index.
- [eth\_getTransactionByBlockNumberAndIndex](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_gettransactionbyblocknumberandindex.md): Returns the information about a transaction requested by Block number and index.
- [eth\_getTransactionReceipt](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_gettransactionreceipt.md): Returns the receipt of a transaction by transaction hash. Note That the receipt is not available for pending transactions.
- [eth\_getTransactionCount](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_gettransactioncount.md): Returns the number of transactions sent from an address.
- [eth\_getBlockTransactionCountByHash](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_getblocktransactioncountbyhash.md): Returns the number of transactions in a block matching the given block number.
- [eth\_getBlockTransactionCountByNumber](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_getblocktransactioncountbynumber.md): Returns the number of transactions in a block matching the given block number.
- [eth\_getLogs](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_getlogs.md): Returns an array of all logs matching a given filter object.
- [eth\_getCode](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_getcode.md): Returns code at a given address.
- [eth\_call](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_call.md): Executes a new message call immediately without creating a transaction on the blockchain.
- [eth\_getStorageAt](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_getstorageat.md): Returns the value from a storage position at a given address.
- [eth\_estimateGas](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_estimategas.md): Generates and returns an estimate of how much gas is necessary to allow the transaction to complete. The transaction will not be added to the blockchain.
- [eth\_newFilter](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_newfilter.md): Creates a filter object, based on filter options. To get all matching logs for specific filter, call eth\_getFilterLogs. To check if the state has changed, call eth\_getFilterChanges.
- [eth\_newBlockFilter](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_newblockfilter.md): Creates a filter in the node, to notify when a new block arrives. To check if the state has changed, call eth\_getFilterChanges.
- [eth\_newPendingTransactionFilter](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_newpendingtransactionfilter.md): Creates a filter in the node, to notify when new pending transactions arrive. To check if the state has changed, call eth\_getFilterChanges.
- [eth\_getFilterChanges](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_getfilterchanges.md): Polling method for a filter, which returns an array of logs that occurred since the last poll.
- [eth\_signTransaction](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_signtransaction.md): Signs a transaction that can be submitted to the network at a later time using with eth\_sendRawTransaction.
- [eth\_uninstallFilter](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_uninstallfilter.md): Uninstalls a filter with a given id. Should always be called when a watch is no longer needed. Additionally, filters timeout when they aren’t requested with eth\_getFilterChanges for some time.
- [eth\_subscribe](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_subscribe.md): Subscribe to different Ethereum event types like newHeads, logs, pendingTransactions, and minedTransactions using WebSockets.
- [eth\_unsubscribe](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/eth_unsubscribe.md): Subscriptions are cancelled with a regular RPC call with eth\_unsubscribe as a method and the subscription id as the first parameter. It returns a bool indicating if the subscription was cancelled.
- [net\_version](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/net_version.md): Returns the current network id.
- [net\_listening](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/net_listening.md): Returns true if a client is actively listening for network connections.
- [net\_peerCount](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/net_peercount.md): Returns number of peers currently connected to the client.
- [web3\_clientVersion](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/web3_clientversion.md): Returns the current client version.
- [web3\_sha3](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/web3_sha3.md): Returns Keccak-256 (not the standardized SHA3-256) of the given data.
- [txpool\_status](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/txpool_status.md): Returns the number of transactions currently pending for inclusion in the next block(s), as well as the ones that are being scheduled for future execution only.
- [txpool\_content](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/txpool_content.md): list the exact details of all the transactions currently pending for inclusion in the next block(s), as well as the ones that are being scheduled for future execution only.
- [debug\_traceCall](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/debug_tracecall.md): The method lets you run an eth\_call within the context of the given block execution using the final state of parent block as the base.
- [debug\_traceBlockByHash](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/debug_traceblockbyhash.md): It accepts a block hash and will replay the block that is already present in the database.
- [debug\_traceBlockByNumber](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/debug_traceblockbynumber.md): It accepts a block number and will replay the block that is already present in the database.
- [debug\_traceTransaction](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/debug_tracetransaction.md): It will attempt to run the transaction in the exact same manner as it was executed on the network.
- [trace\_block](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/trace_block.md): Returns traces created at given block.
- [trace\_call](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/trace_call.md): Executes the given call and returns a number of possible traces for it.
- [trace\_get](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/trace_get.md): Returns trace at given position.
- [trace\_filter](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/trace_filter.md): Returns traces matching given filter.
- [trace\_transaction](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/trace_transaction.md): Returns all traces of given transaction.
- [trace\_replayTransaction](https://docs.blockpi.io/build/api-reference/ethereum-raw-api/trace_replaytransaction.md): Traces a call to eth\_sendRawTransaction without making the call, returning the traces.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockpi.io/build/api-reference/ethereum-raw-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
